Folks.ObjectCache.load_objects – folks Reference Manual

# load_objects

## Description:

public async Set<T>? load_objects (Cancellable? cancellable = null)

Load a set of objects from the cache and return them as a new set. If the cache file doesn't exist, `null` will be returned. An empty set will be returned if the cache file existed but was empty (i.e. was stored with an empty set originally).

Loading the objects can be cancelled using `cancellable`. If it is, `null` will be returned.

If any errors are encountered while loading the objects, warnings will be logged as appropriate and `null` will be returned.

This method is safe to call multiple times concurrently.

## Parameters:

cancellable | A GLib.Cancellable for the operation, or `null`.

## Returns:

A set of objects from the cache, or `null`.

## Since:

0.6.0